000018642 - Luna Drivers needed for Keon/Sentry CA 4.5.x Installation/Upgrade on Solaris

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000018642
Applies ToSentry CA 4.5.x
Keon Certificate Authority
TechNote 0279
Sun Solaris / SPARC
Microsoft Windows NT 4.0
IssueLuna Drivers needed for Keon/Sentry CA 4.5.x Installation/Upgrade on Solaris
During the CA installation/Upgrade,  it will fail to find Luna drivers.  The Luna token cannot be used until they are installed.
CauseBefore Keon/Sentry CA 4.5 (UNIX version) can be used with a Luna token, the default Chrysalis-ITS Inc. v7.3 drivers and an additional dynamically linked library are required. If these files are not present KCA/Sentry will fail to find them during Install/ Upgrade. The Luna token can not be used until they are installed.

For Windows NT user, the 7.3 Luna drivers can be obtained from the Chrysalis-ITS Luna CD-ROM, no additional Luna driver is needed for Keon/Sentry 4.5 Installation/Upgrade.
ResolutionIf you are installing or upgrading to Keon/Sentry 4.5, you need to use the 7.3 Luna drivers. You can get the 7.3 Luna drivers from the Chrysalis-ITS Luna CD-ROM for the NT library, but for the UNIX library, an additional dynamic library is needed. Install the dynamically linked library as described in the implementation guide "Chrysalis-ITS Luna CA and CA3 Cryptographic Tokens" available in Appendix B of Keon Certificate Authority Administrator?s Guide 5.7.

Once the default Chrysalis 7.3 drivers and the dynamically linked library are installed, installation/upgrade on UNIX with Luna tokens is possible.
Legacy Article IDa3012

Attachments

    Outcomes